| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends
openni::CameraSettings Class Reference

`#include <OpenNI.h>`

List of all members.

## Public Member Functions

bool | getAutoExposureEnabled () const
bool | getAutoWhiteBalanceEnabled () const
int | getExposure ()
int | getGain ()
bool | isValid () const
Status | setAutoExposureEnabled (bool enabled)
Status | setAutoWhiteBalanceEnabled (bool enabled)
Status | setExposure (int exposure)
Status | setGain (int gain)

## Friends

class | VideoStream

## Member Function Documentation

bool openni::CameraSettings::getAutoExposureEnabled | ( |  | ) | const`[inline]`

bool openni::CameraSettings::getAutoWhiteBalanceEnabled | ( |  | ) | const`[inline]`

int openni::CameraSettings::getExposure | ( |  | ) | `[inline]`

int openni::CameraSettings::getGain | ( |  | ) | `[inline]`

bool openni::CameraSettings::isValid | ( |  | ) | const`[inline]`

Status openni::CameraSettings::setAutoExposureEnabled | ( | bool | enabled | ) | `[inline]`

Status openni::CameraSettings::setAutoWhiteBalanceEnabled | ( | bool | enabled | ) | `[inline]`

Status openni::CameraSettings::setExposure | ( | int | exposure | ) | `[inline]`

Status openni::CameraSettings::setGain | ( | int | gain | ) | `[inline]`

## Friends And Related Function Documentation

friend class VideoStream `[friend]`

The documentation for this class was generated from the following file:

- OpenNI.h